
Foreman - Refactor #10988

Remove 1.11 deprecations

07/02/2015 11:13 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Plugin integration   

Target version: 1.11.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2646

  

Description

To be done after 1.10-stable is branched.

Scan the codebase for deprecations marked with a 1.11 deadline and remove them (ack deprecation.*1.11), e.g.

Host::Base.find_by_ip.  All deprecations with a 1.11 deadline have been shipped (at least) in 1.9 and 1.10.

Marked for a 1.10.0 release so it's done at the time of 1.10-stable branching, but please move to 1.11.0 when done.

Related issues:

Related to Foreman - Refactor #10635: Formalize deprecation warnings Closed 05/28/2015

Related to Foreman - Bug #12245: Nic::Bootable should be removed Closed 10/21/2015

Related to Foreman - Bug #13084: undefined method `find_by_ip' during validat... Closed 01/08/2016

Associated revisions

Revision c1755e07 - 10/12/2015 06:54 AM - Daniel Lobato Garcia

Fixes #10988 - Remove 1.11 deprecations

History

#1 - 07/02/2015 11:13 AM - Dominic Cleal

- Related to Refactor #10635: Formalize deprecation warnings added

#2 - 07/02/2015 11:18 AM - Dominic Cleal

- Tracker changed from Bug to Refactor

#3 - 08/28/2015 03:57 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2646 added

- Pull request deleted ()

#4 - 10/12/2015 03:48 AM - Dominic Cleal

- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release changed from 63 to 71

#5 - 10/12/2015 07:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c1755e070ee10ee026e0b3996378368369c4ca83.

#6 - 10/21/2015 10:39 AM - Dominic Cleal
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/c1755e070ee10ee026e0b3996378368369c4ca83


- Related to Bug #12245: Nic::Bootable should be removed added

#7 - 01/08/2016 08:59 AM - Dominic Cleal

- Related to Bug #13084: undefined method `find_by_ip' during validation of IP retrieved from compute resource added
